<html>
  <head>
    <title>Traffic</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="static/bootstrap.min.css" rel="stylesheet" media="screen">
    <style>
      body{
              background-color: rgb(234, 241, 241);
              background-image: url("https://images.theconversation.com/files/304343/original/file-20191128-178135-10fwswo.jpg?ixlib=rb-1.1.0&rect=0%2C0%2C1349%2C665&q=45&auto=format&w=1356&h=668&fit=crop");
                background-repeat: no-repeat, repeat;
	font-family:'segoe ui';
      }
    .ibg{
	background-color:white;
	width:80%;
	margin:auto;
	text-align:center;
	padding-top:25px;
	min-height:400px;
     }
   input[type="text"]{
	border:0;
	border-bottom:solid 2px black;
	min-width:250px;
	height:40px;

    }	

.topsvg{
		position:relative;
		top:-30px;
	}
	.topsvgtitle{
		position:relative;
		top:-100px;
	}


  </style>
  </head>
  <body>
    <div class="container ibg">
<svg class="topsvg" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 1440 320"><path fill="orange" fill-opacity="4" d="M0,256L48,213.3C96,171,192,85,288,53.3C384,21,480,43,576,58.7C672,75,768,85,864,96C960,107,1056,117,1152,122.7C1248,128,1344,128,1392,128L1440,128L1440,0L1392,0C1344,0,1248,0,1152,0C1056,0,960,0,864,0C768,0,672,0,576,0C480,0,384,0,288,0C192,0,96,0,48,0L0,0Z"></path></svg>
      <div class="topsvgtitle">
      <h2>Insert new traffic data record and trigger the training process</h2>
      <br>
      <form action="" method="post">
        <input type="text" placeholder="Road" name="road_id" value="{{
          request.form.road_id }}"> <br>
         <input type="text" placeholder="Direction" name="direction" value="{{
          request.form.direction }}"> <br>
        <input type="text" placeholder="Day of Week" name="dayOfWeek" value="{{
          request.form.dayOfWeek }}"> <br>
         <input type="text" placeholder="Time of Day" name="timeOfDay" value="{{
          request.form.timeOfDay }}"> <br>
        <input type="text" placeholder="Traffic Status" name="traffic_status" value="{{
          request.form.traffic_status }}"> <br>
        <br/> 
        <input class="btn btn-default" type="submit" value="Insert">
      </form>
      {% if response %}
        <p class="response"> {{ response }}
      {% endif %}
    <br><br>
        <a style="margin-left: 5%; margin-top: 85%; color: rgb(13, 15, 13);" href="/predict_ui">Input data and get the predicted traffic status</a>
    <br>
    <a style="margin-left: 5%; margin-top: 85%; color: rgb(13, 15, 13);" href="/clear">Clear all traffic data records</a>
        <br/>
<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 1440 320"><path fill="orange" fill-opacity="40" d="M0,192L48,181.3C96,171,192,149,288,165.3C384,181,480,235,576,250.7C672,267,768,245,864,208C960,171,1056,117,1152,85.3C1248,53,1344,43,1392,37.3L1440,32L1440,320L1392,320C1344,320,1248,320,1152,320C1056,320,960,320,864,320C768,320,672,320,576,320C480,320,384,320,288,320C192,320,96,320,48,320L0,320Z"></path></svg>
    </div>    </div>
  </body>
</html>